.footer {
    width: 100%;
    position: relative;
}

.posts-footer {
    display: grid;
    grid-template-columns: 1fr;
    place-items: center;
    gap: 10px;
    width: 100%;
    z-index: 1000; /* Make sure it's above other content */
    background-color: black;
    opacity: 90%;
    border-top: 2px solid #ffffff; /* Border color and thickness */
    box-shadow: 0 -2px 0 0 rgb(255 255 255 / 20%); /* Shadow properties */
    position: fixed;
    bottom: 0;
    left: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: center;
}

.posts-footer img {
    place-self: center;
}

.posts-footer-text-header {
    font-weight: bold;
    font-size: 90%;
}

.posts-footer-text {
    font-size: 80%;
}

.footer-close-button {
    position: absolute;
    top: 5px;
    right: 5px;
    width: 40px;
    height: 40px;
    transition: transform 0.3s ease-in-out;
}

.footer-close-button:hover {
    cursor: pointer;
    transform: scale(1.3);
}